/*  ASCENSE SOLUTIONS TECHNOLOGIQUES INC. 
    13 JUILLET 2016
*/

html, body
{
    height: 100%;
    margin: 0;
}

html
{
    width: 100%;
    font-size: 100%;
}

#background
{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: -1000;
    background-image: url(images/filtre.png), url(images/background.jpg);
    background-size: auto, cover;
    background-repeat: repeat, no-repeat;
    background-position: center, top;
}

*
{
    box-sizing: border-box;
}

*:focus
{
    outline: none;
}

img
{
    border: none;
}

.conteneur-centre
{
    width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

nav, h2, #slogan, #menu-mobile
{
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
}

/*
video
{
    position: fixed;
    min-width: 100%;
    min-height: 100%;
    z-index: -1000;
    overflow: hidden;
}
*/

h1
{
    margin: 0;
}

#slogan
{
    position: absolute;
    color: white;
    bottom: 40px;
    right: 200px;
    text-align: right;
    font-size: 60px;
    text-shadow: 4px 4px 1px rgba(60,60,60,.4);
}

#fleche
{
    position: absolute;
    bottom: 30px;
    left: 50%;
    width: 80px;
    margin-left: -40px;
    height: auto;
    animation: fleche 2s infinite;
    -webkit-animation: fleche 2s infinite;
}

@keyframes fleche
{
    0% {bottom: 30px;}
    50% {bottom: 20px;}
    100% {bottom: 30px;}
}

-webkit-@keyframes fleche
{
    0% {bottom: 30px;}
    50% {bottom: 20px;}
    100% {bottom: 30px;}
}

header
{
    position: fixed;
    height: 100px;
    width: 100%;
    background-color: #212121;
    z-index: 1000;
}

#logo
{
    height: 60px;
    width: auto;
    float: left;
    margin-top: 20px;
    transform: scale(1.0);
    transition: all 0.3s;
}

#logo:hover
{
    transform: scale(1.1);
    transition: all 0.3s;
}

#nav-mobile
{
    display: none;
}

#menu-mobile
{
    display: none;
}

nav
{
    float: right;
    height: 100px;
}

nav ul
{
    margin: 0;
}

nav ul li
{
    display: inline-block;
    color: white;
    text-align: center;
    width: 150px;
    line-height: 100px;
    font-size: 15px;
    font-style: normal;
}

nav ul li:hover
{
    background-color: #e93333;
    font-style: italic;
}

.header-btn
{
    background-color: #e93333;
    color: white;
    padding: 10px;
    border-radius: 10px;
    text-decoration: none;
    margin-left: 20px;
    transition: 0.3s;
}

.header-btn:hover
{
    opacity: 0.9;
    transition: 0.3s;
}

#contenu
{
    position: absolute;
    top: 100%;
    width: 100%;
}

#services, #historique, #equipe, #contact
{
    width: 100%;
    padding-bottom: 50px;
    padding-top: 50px;   
}

/* LES SERVICES OFFERTS */
#services
{
    background-color: white;
    overflow: hidden;
}

h2
{
    position: relative;
    font-style: italic;
    font-size: 35px;
    color: #212121;
    margin-bottom: 56px;
    margin-top: 0;
}

h2:before
{
    position: absolute;
    left: 0;
    bottom: -5px;
    content: "";
    width: 65px;
    height: 1px;
    border-bottom: 5px solid #e93333;
    transition: all 0.3s;
}

.service
{
    float: left;
    text-align: center;
    width: 30%;
    overflow: hidden;
    cursor: pointer;
}

.service:nth-child(3)
{
    margin-left: 5%;
    margin-right: 5%;
}

/*
.service:first-of-type
{
    margin-right: 75px;
    margin-left: 0;
}

.service:last-of-type
{
    margin-left: 75px;
    margin-right: 0;
}
*/

.service:hover img
{
    transform: scale(1.1);
    transition: all 0.3s;
}

.service:hover h3 
{
    color: #e93333;
    transition: all 0.3s;
}

h3
{
    color: #212121;
    transition: all 0.3s;
}

.service h3, .service p
{
    background-color: #f3f3f3;
    margin: 0;
    padding: 10px;
}

.service h3
{
    padding-top: 20px;
}

.service img
{
    display: block;
    width: 100%;
    height: auto;
    transition: all 0.3s;
    transform: scale(1.0);
    -webkit-backface-visibility: hidden; /* prévenir l'effet de flou sur l'image dans chrome */
    -webkit-transform: translateZ(0) scale(1.0, 1.0); /* prévenir l'effet de flou sur l'image dans chrome */
}

.conteneur-image
{
    position: relative;
    width: 100%;
    height: auto;
    overflow: hidden;
}

h3, p
{
    font-family: 'Raleway', sans-serif;
}

.voir-plus
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(233, 51, 51, 0.6);
    padding-left: 10px;
    padding-right: 10px;
    opacity: 0;
    transition: all 0.3s;
}

.service:hover .voir-plus
{
    opacity: 1;
    transition: all 0.3s;
}

.voir-plus-contenu
{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    color: white;
    font-weight: 400;
}

.voir-plus-contenu img
{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
    width: 60px;
    height: auto;
}

.voir-plus-contenu p
{
    background-color: transparent;
    margin: 0;
    padding: 0;
}

/* L'HISTORIQUE DE L'ENTREPRISE */
#historique
{
    background-color: #f3f3f3;
}

#historique p
{
    -moz-column-count: 2;
    -webkit-column-count: 2;
    column-count: 2;
    -moz-column-gap: 80px;
    -webkit-column-gap: 80px;
    column-gap: 80px;
}

#historique p q
{
    font-weight: bold;
    
}

/* L'ÉQUIPE */
.employe
{
    position: relative;
    display: table;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    margin-bottom: 50px;
}

.employe img
{
    display: table-cell;
    width: 100%;
    height: auto;
}

.employe:hover h2:before
{
    width: 150px;
    transition: all 0.3s;
}

.description-employe
{
    display: table-cell;
    padding: 40px;
    width: 70%;
    vertical-align: top;
}

.description-employe h2
{
    margin: 0;
}

.description-employe p a
{
    color: black;
}

.contact-employe
{
    display: inline-block;
    width: 30%;
    margin-top: 50px;
}

.contact-employe img
{
    float: left;
    height: 30px;
    width: auto;
    margin-right: 20px;
}

.contact-employe a, .contact-employe p, .contact-info p, .contact-info a
{
    font-family: 'Oswald', sans-serif;
    font-weight: bold;
    font-size: 20px;
    color: #212121;
    text-decoration: none;
}

/* CONTACTER PRAE */
#contact
{
    background-color: white;
    padding-bottom: 0;
}

.contact-info
{
    display: inline-block;
    text-align: center;
    margin-bottom: 30px;
    vertical-align: top;
    width: 25%;
}

.contact-info img
{
    display: block;
    margin: auto;
    height: 30px;
    width: auto;
}

form, textarea
{
    font-family: "Open Sans", sans-serif;
}

.champ, select, textarea
{
    float: left;
    width: 49%;
    height: 50px;
    text-align: center;
    margin-bottom: 2%;
    background: transparent;
    border: 2px solid #212121;
    color: grey;
    border-radius: 0;
}

.champ:focus, select:focus, textarea:focus
{
    border: 2px solid #e93333;
}

.champ:nth-child(1), .champ:nth-child(3), .champ:nth-child(5), .champ:nth-child(7)
{
   margin-right: 2%;
}

input:disabled
{
    cursor: not-allowed;
    opacity: 0.5;
}

select
{
    text-align: center;
    text-align-last: center;
    padding-left: 15px;
}

textarea
{
    padding: 10px;
    width: 100%;
    max-width: 100%;
    height: 200px;
     -webkit-appearance: none;
}

#checkbox
{
    display: block;
    clear: both;
}

#checkbox input
{
    width: 20px;
    height: 20px;
    margin-right: 15px;
}

.checkbox-listes
{
    float: left;
    width: 30%;
}

#btn-envoyer
{
    display: block;
    clear: both;
    width: 25%;
    margin-top: 2%;
    background: #e93333;
    color: white;
    border: none;
    transition: all 0.3s;
}

#btn-envoyer:hover
{
    background: #212121;
    cursor: pointer;
    transition: all 0.3s;
}

/*
#deplace
{
    background-color: #f3f3f3; 
}

#deplace p
{
    font-family: 'Raleway', sans-serif;
    font-size: inherit;
    font-weight: inherit;
}
*/

#overlay 
{
    background: transparent; 
    position: relative; 
    width: 100%;
    height: 400px; 
    top: 575px;  
    margin-top: -400px;
}

iframe
{
    display: block;
    margin-top: 50px;
}

/* FOOTER DU SITE */
footer
{
    width: 100%;
    background-color: #f3f3f3;
    padding-top: 20px;
    padding-bottom: 20px;
}

footer p
{
    text-align: center;
    color: #969696;
    font-size: 13px;
}

footer img
{
    display: block;
    margin: auto;
    width: 180px;
    height: auto;
}

footer p a 
{
    color: #969696;
}

#politique 
{
    padding-top: 150px;
    padding-bottom: 50px;
    background-color: white;
}

/* RESPONSIVE DESIGN */
@media screen and (max-width: 1250px)
{
    .conteneur-centre
    {
        width: 90%;
    }
}

@media screen and (max-width: 1450px)
{
    #slogan
    {
        right: 40px;   
    }
}

@media screen and (max-width: 1154px)
{
    .contact-employe p, .contact-employe a
    {
        font-size: 0; 
    }
    
    .contact-employe
    {
        width: auto;
        vertical-align: top;
        margin-top: 10px;
    }
    
    .contact-employe img
    {
        margin-right: 50px;
    }
    
    .description-employe
    {
        padding-bottom: 0;
    }
}

@media screen and (max-width: 1130px)
{
    #slogan
    {
        font-size: 50px;
        bottom: 100px;
    }
}

@media screen and (max-width: 400px)
{
    #slogan
    {
        font-size: 35px;
        text-align: center;
    }
}

@media screen and (max-width: 1250px)
{
    nav
    {
        display: none;
    }
    
    header
    {
        height: 70px;
    }
    
    #logo
    {
        height: 50px;
        margin-top: 10px;
    }
    
    #nav-mobile
    {
        display: block;
        height: 100%;
        width: auto;
        float: right;
    }
    
    .active
    {
        transform: rotate(90deg);
    }
    
    #menu-mobile
    {
        display: none;
        margin-top: 70px;
        background-color: #212121;
    }
    
    #menu-mobile ul
    {
         padding: 0;
    }
    
    #menu-mobile ul li
    {
        list-style-type: none;
        height: 60px;
        line-height: 60px;
        color: white;
        text-align: center;
    }
    
    #menu-mobile ul a
    {
        text-decoration: none;
    }
}

@media screen and (max-width: 850px)
{
    .service
    {
        width: 48%;
    }
    
    .service:nth-child(3)
    {
        margin-left: 4%;
        margin-right: 0;
    }
    
    .service:nth-child(4)
    {
        margin-top: 4%;
    }
    
    .contact-info
    {
        width: 50%;
    }
}

@media screen and (max-width: 800px)
{
    body
    {
        
    }
    
    #historique p
    {
        -moz-column-count: 1;
        -webkit-column-count: 1;
        column-count: 1;
        -moz-column-gap: 0px;
        -webkit-column-gap: 0px;
        column-gap: 0px;
    }
}

@media screen and (max-width: 750px)
{
    .employe
    {
        padding: 20px;
        width: auto;
        display: -webkit-box;
        display: -moz-box;
        display: box;
        -webkit-box-orient: vertical;
        -moz-box-orient: vertical;
        box-orient: vertical;
    }
    
    .employe img
    {
        display: block;
        width: 50%;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 20px;
        -webkit-box-ordinal-group: 1;
        -moz-box-ordinal-group: 1;
        box-ordinal-group: 1;
    }
    
    .description-employe
    {
        display: block;
        width: 100%;
        padding: 0;
        -webkit-box-ordinal-group: 2;
        -moz-box-ordinal-group: 2;
        box-ordinal-group: 2;
    }
    
    .champ, textarea
    {
        width: 100%;
    }
    
    .checkbox-listes
    {
        width: 50%;
    }

    .g-recaptcha {
        margin: 30px 0; 
    }
    
    #btn-envoyer
    {
        width: 50%;
    }
}

@media screen and (max-width: 550px)
{
    .service
    {
        display: block;
        width: 100%;
        padding: 0;
    }
    
    .service:nth-child(3)
    {
        margin-left: 0;
        margin-right: 0;
        margin-top: 20px;
        margin-bottom: 20px;
    }
    
    .service:nth-child(4)
    {
        margin: 0;
    }
    
    .contact-employe
    {
       width: 50px; 
    }
    
    .contact-employe img
    {
        display: block;
        margin: auto;
    }
    
    #btn-envoyer
    {
        width: 100%;
    }
}

@media screen and (max-width: 450px)
{
    .contact-info
    {
        width: 100%;
    }
    
    body
    {
        background-attachment: inherit;
    }
}

@media screen and (max-width: 374px)
{
    .checkbox-listes
    {
        width: 100%;
    }
}

/* Retirer l'attachment fixed du BG pour IPAD à l'horizontal 
@media only screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:landscape) 
{
    body
    {
        background-attachment: inherit;
    }
    
    #equipe
    {
        background-image: url(images/filtre.png), url(images/background.jpg);
        background-size: auto, cover;
        background-repeat: repeat, no-repeat;
        background-position: center, top;
    }
}
*/